package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglShabllInsertAndEditDto;
import com.mosty.base.model.entity.jcgl.TbJcglShabll;
import com.mosty.base.model.query.jcgl.TbJcglShabllQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author dw
 * @since 2022/8/1
 * 社会安保力量-服务类
 **/
public interface TbJcglShabllService {

    @ApiOperation("新增社会安保力量")
    int addEntity(TbJcglShabllInsertAndEditDto dto);

    @ApiOperation("修改社会安保力量")
    int editEntity(TbJcglShabllInsertAndEditDto dto);

    @ApiOperation("查询社会安保力量-分页")
    IPage<TbJcglShabll> getPageList(TbJcglShabllQuery dto);

    @ApiOperation("删除社会安保力量-批量删除")
    Integer delEntity(List<String> ids);

    @ApiOperation("查询社会安保力量详情")
    TbJcglShabll getInfo(String id);
}
